Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class ModelComponent

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  Constraint, Constructor, DataModel, EnumValue, FactType, Field, FormalParameter, Function, InitValue, Property, Variable

public class ModelComponent
extends java.util.HashMap

Base class for all elements in a data model.

See Also:
  Serialized Form

Field Summary
`protected DataModel` | `m_dm`
`protected ModelComponent` | `m_parent`
`static java.lang.String` | `PROP_ALIAS`
`static java.lang.String` | `PROP_ID`
`static java.lang.String` | `PROP_NAME`
`static java.lang.String` | `PROP_PROPERTIES`
`static java.lang.String` | `PROP_VISIBLE`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Overwrite hashtable get method.
`java.lang.String` | `getAlias()` Get alias of the model element.
`DataModel` | `getDataModel()` Get the containing DataModel Object
`java.lang.String` | `getID()` Get ID of the model element.
`java.lang.String` | `getName()` Every element (except overloaded methods) in a data model has a unique name in its context.
`ModelComponent` | `getParent()` Get parent ModelComponent Object
`java.util.Properties` | `getProperties()` Every element in the data model can have a list of properties associated with it.
`boolean` | `getVisible()` Every element is visible by default, could be set to invisible.
`void` | `setAlias(java.lang.String alias)` Set alias of the model element.
`void` | `setName(java.lang.String name)` Set the name of the element.
`void` | `setVisible(boolean visible)` Set visibility of the element
`void` | `validate()` valid the model component

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_NAME

    public static final java.lang.String PROP_NAME

  See Also:
    Constant Field Values

### PROP_ALIAS

    public static final java.lang.String PROP_ALIAS

  See Also:
    Constant Field Values

### PROP_VISIBLE

    public static final java.lang.String PROP_VISIBLE

  See Also:
    Constant Field Values

### PROP_ID

    public static final java.lang.String PROP_ID

  See Also:
    Constant Field Values

### PROP_PROPERTIES

    public static final java.lang.String PROP_PROPERTIES

  See Also:
    Constant Field Values

### m_dm

    protected DataModel m_dm

### m_parent

    protected ModelComponent m_parent

Method Detail

### getName

    public java.lang.String getName()

  Every element (except overloaded methods) in a data model has a unique name in its context. For example it does not matter if a constant has the same name as a fact type.
  Returns:
    the name of the element.

### setName

    public void setName(java.lang.String name)

  Set the name of the element.
  Parameters:
    `name` - the name of the element.

### getAlias

    public java.lang.String getAlias()

  Get alias of the model element. Alias is set to its name by default.
  Returns:
    Alias of the model element.

### setAlias

    public void setAlias(java.lang.String alias)

  Set alias of the model element.
  Parameters:
    `alias` - New alias name.

### getID

    public java.lang.String getID()

  Get ID of the model element. ID is set to its name by default.
  Returns:
    ID of the model element.

### getProperties

    public java.util.Properties getProperties()

  Every element in the data model can have a list of properties associated with it.
  Returns:
    the list of properties of the element.

### getVisible

    public boolean getVisible()

  Every element is visible by default, could be set to invisible. This attriubte if for GUI display
  Returns:
    true if the element is visible

### setVisible

    public void setVisible(boolean visible)

  Set visibility of the element
  Parameters:
    `visible` - visibility of the element

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  valid the model component
  Throws:
    `thrown` - when the validation is failed
    `RulesSDKDMValidationException`

### get

    public java.lang.Object get(java.lang.Object key)

  Overwrite hashtable get method. For some dynamic computed property (such as variable type options) we don't return the hashtable entry directly. Instead, we compute them dynamically.
  Parameters:
    `key` - a String containing the property name to be fetched.
  Returns:
    the value corresponding to the key

### getParent

    public ModelComponent getParent()

  Get parent ModelComponent Object
  Returns:
    The parent ModelComponent Object

### getDataModel

    public DataModel getDataModel()

  Get the containing DataModel Object
  Returns:
    The containing DataModel Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.